#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-platformdirs
Version		:	2.6.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Built-package format for Python

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/platformdirs

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python-setuptools-scm	>= 6.4.0
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-trove-classifiers
BuildRequires	:	python3-editables
BuildRequires	:	python3-hatchling
BuildRequires	:	python3-hatch-vcs
BuildRequires	:	python-packaging
BuildRequires	:	python3-pathspec
BuildRequires	:	python-pep517
BuildRequires	:	python3-pluggy
BuildRequires	:	python-pyparsing
BuildRequires	:	python3-typing_extensions
BuildRequires	:	python3-tomli
BuildRequires	:	python-wheel

#-----------------------------------------------------------------------------
%description

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#%{__python}						\
#	setup.py					\
#	pytest						\

	
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
